低危 Apache HTTP Server up to 2.4.29 HTTP2 NULL Pointer Dereference 拒绝服务漏洞

CVE编号

CVE-2018-1302

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-03-27 04:29:00
漏洞描述
当HTTP / 2  stream在处理后被销毁时,版本2.4.30之前的Apache HTTP Server可能已经写入了一个可能已经释放的内存的NULL指针。服务器维护的内存池使得此漏洞很难在平常的配置中触发,报告者和团队无法在调试版本之外重现它,因此将其归类为低风险。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://httpd.apache.org/security/vulnerabilities_24.html
参考链接
http://www.openwall.com/lists/oss-security/2018/03/24/5
http://www.securityfocus.com/bid/103528
http://www.securitytracker.com/id/1040567
https://access.redhat.com/errata/RHSA-2019:0366
https://access.redhat.com/errata/RHSA-2019:0367
https://httpd.apache.org/security/vulnerabilities_24.html
https://lists.apache.org/thread.html/56c2e7cc9deb1c12a843d0dc251ea7fd3e7e8029...
https://lists.apache.org/thread.html/84a3714f0878781f6ed84473d1a503d2cc382277...
https://lists.apache.org/thread.html/r06f0d87ebb6d59ed8379633f36f72f5b1f79cad...
https://lists.apache.org/thread.html/r15f9aa4427581a1aecb4063f1b4b983511ae1c9...
https://lists.apache.org/thread.html/r76142b8c5119df2178be7c2dba88fde552eedee...
https://lists.apache.org/thread.html/r9f93cf6dde308d42a9c807784e8102600d0397f...
https://lists.apache.org/thread.html/rc998b18880df98bafaade071346690c2bc1444a...
https://lists.apache.org/thread.html/rd18c3c43602e66f9cdcf09f1de233804975b957...
https://lists.apache.org/thread.html/rd336919f655b7ff309385e34a143e41c503e133...
https://lists.apache.org/thread.html/re3d27b6250aa8548b8845d314bb8a350b3df326...
https://lists.apache.org/thread.html/re473305a65b4db888e3556e4dae10c2a04ee89d...
https://lists.apache.org/thread.html/rf6449464fd8b7437704c55f88361b66f12d5b5f...
https://lists.apache.org/thread.html/rfcf929bd33a6833e3f0c35eebdad70d5060665f...
https://security.netapp.com/advisory/ntap-20180601-0004/
https://support.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-...
https://usn.ubuntu.com/3783-1/
https://www.tenable.com/security/tns-2019-09
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache http_server * Up to
(including)
2.4.29
2
运行在以下环境
应用 netapp clustered_data_ontap - -
运行在以下环境
应用 netapp santricity_cloud_connector - -
运行在以下环境
应用 netapp storage_automation_store - -
运行在以下环境
应用 netapp storagegrid - -
3
运行在以下环境
系统 alpine_3.9 apache2 * Up to
(excluding)
2.4.33-r0
4
运行在以下环境
系统 amazon_AMI apache2 * Up to
(excluding)
2.4.33-2.78.amzn1
5
运行在以下环境
系统 alpine_edge apache2 * Up to
(excluding)
2.4.33-r0
6
运行在以下环境
系统 alpine_3.6 apache2 * Up to
(excluding)
2.4.33-r0
7
运行在以下环境
系统 debian_9 apache2 * Up to
(excluding)
2.4.25-3+deb9u9
8
运行在以下环境
系统 alpine_3.7 apache2 * Up to
(excluding)
2.4.33-r0
9
运行在以下环境
系统 alpine_3.12 apache2 * Up to
(excluding)
2.4.33-r0
10
运行在以下环境
系统 alpine_3.4 apache2 * Up to
(excluding)
2.4.33-r0
11
运行在以下环境
系统 alpine_3.13 apache2 * Up to
(excluding)
2.4.33-r0
12
运行在以下环境
系统 alpine_3.11 apache2 * Up to
(excluding)
2.4.33-r0
13
运行在以下环境
系统 alpine_3.5 apache2 * Up to
(excluding)
2.4.33-r0
14
运行在以下环境
系统 alpine_3.10 apache2 * Up to
(excluding)
2.4.33-r0
15
运行在以下环境
系统 alpine_3.8 apache2 * Up to
(excluding)
2.4.33-r0
16
运行在以下环境
系统 fedora_26 apache2 * Up to
(excluding)
1.10.16-1.fc26
17
运行在以下环境
系统 fedora_27 apache2 * Up to
(excluding)
1.10.16-1.fc27
18
运行在以下环境
系统 fedora_28 apache2 * Up to
(excluding)
1.10.16-1.fc28
19
运行在以下环境
系统 suse_12_SP3 apache2 * Up to
(excluding)
2.4.23-29.18.2
20
运行在以下环境
系统 opensuse_Leap_42.3 apache2 * Up to
(excluding)
2.4.23-22.1
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况